Author Topic: Compiling Code::Blocks: ./bootstrap command errors.  (Read 320 times)

Offline spflanze

  • Multiple posting newcomer
  • *
  • Posts: 94
Compiling Code::Blocks: ./bootstrap command errors.
« on: January 28, 2019, 09:15:34 pm »
I am attempting to follow the instructions at:
https://wiki.wxwidgets.org/Installing_and_configuring_under_Ubuntu
I already have wxGTK installed (see my final post in the thread: http://forums.codeblocks.org/index.php/topic,23067.new.html). So I skipped to the heading "Code::Blocks installation".

In the development directory I did this command sequence:
Code: [Select]
svn checkout http://svn.code.sf.net/p/codeblocks/code/trunk
cd trunk
./bootstrap
and got these errors:
Code: [Select]
...
libtoolize: copying file 'm4/lt~obsolete.m4'
configure.ac:141: warning: macro 'AM_OPTIONS_WXCONFIG' not found in library
configure.ac:142: warning: macro 'AM_PATH_WXCONFIG' not found in library
...
src/base/tinyxml/Makefile.am: installing './depcomp'
configure.ac:141: error: possibly undefined macro: AM_OPTIONS_WXCONFIG
      If this token and others are legitimate, please use m4_pattern_allow.
      See the Autoconf documentation.
configure.ac:142: error: possibly undefined macro: AM_PATH_WXCONFIG
What is to be done about these errors?
I attempted to ignore those errors and proceed with the commands:
Code: [Select]
./configure
 make
But got the error:
Code: [Select]
make: *** No targets specified and no makefile found.  Stop.

Offline oBFusCATed

  • Developer
  • Lives here!
  • *****
  • Posts: 11629
    • Travis build status
Re: Compiling Code::Blocks: ./bootstrap command errors.
« Reply #1 on: January 28, 2019, 09:46:59 pm »
You need to have at least one version of wxgtk-dev/devel package installed system wide. Or you need to set the am path to point to the wxwin.m4 file.
(most of the time I ignore long posts)
[strangers don't send me private messages, I'll ignore them; post a topic in the forum, but first read the rules!]

Offline spflanze

  • Multiple posting newcomer
  • *
  • Posts: 94
Re: Compiling Code::Blocks: ./bootstrap command errors.
« Reply #2 on: January 29, 2019, 06:53:51 pm »
I have this file in the path:
/home/me/Packages/wxWidgets-3.0.3/wxwin.m4
This is not system wide.

What is this "am path" and how is it set?

Offline stahta01

  • Lives here!
  • ****
  • Posts: 6483
    • My Best Post
Re: Compiling Code::Blocks: ./bootstrap command errors.
« Reply #3 on: January 29, 2019, 09:29:54 pm »
I am guessing on this
http://wiki.codeblocks.org/index.php/Installing_Code::Blocks_from_source_on_Linux

Quote
...then aclocal is having trouble finding the wxWidgets .m4 files. You can do one of two things: To just get bootstrap to find the path this time do:

export ACLOCAL_FLAGS="-I `wx-config --prefix`/share/aclocal"
To change the aclocal search path more permanently do:

echo `wx-config --prefix`/share/aclocal >> /usr/share/aclocal/dirlist

Tim S.
C Programmer working to learn more about C++ and Git.
On Windows 7 64 bit and Windows 10 32 bit.
On Debian Stretch, compiling CB Trunk against wxWidgets 3.0.
--
When in doubt, read the CB WiKi FAQ. http://wiki.codeblocks.org